For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Account by Address

Get Account Logs. Account path parameters accept an L1 address or an account index.

get
/accounts/{param}/logs
Path parameters
paramstringRequired

L1 Address or AccountIndex

Query parameters
limitintegerOptional

Limit

Default: 100
offsetintegerOptional

Offset

Default: 0
Responses
200

OK

application/json
hashstringRequired
pubdata_typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
timestringRequired
tx_typestring · enumRequiredPossible values:
get/accounts/{param}/logs
GET /api/accounts/{param}/logs HTTP/1.1
Host: explorer.elliot.ai
Accept: */*
[
  {
    "hash": "text",
    "pubdata": {
      "burned_shares_pubdata": {
        "account_index": "text",
        "operator_fee_share_amount": "text",
        "public_pool_index": 1,
        "shares_to_burn": "text",
        "shares_to_burn_usdc": "text"
      },
      "deleverage_pubdata": {
        "bankrupt_account_index": "text",
        "deleverager_account_index": "text",
        "is_taker_ask": 1,
        "market_index": 1,
        "quote": "text",
        "size": "text"
      },
      "deleverage_pubdata_with_funding": {
        "bankrupt_account_index": "text",
        "deleverager_account_index": "text",
        "funding_rate_prefix_sum": 1,
        "is_taker_ask": 1,
        "market_index": 1,
        "quote": "text",
        "size": "text"
      },
      "executed_pending_unlock_pubdata": {
        "account_index": "text",
        "amount": "text",
        "asset_symbol": "text"
      },
      "exit_position_pubdata": {
        "account_index": "text",
        "market_index": 1,
        "settlement_price": "text"
      },
      "exit_position_pubdata_with_funding": {
        "account_index": "text",
        "funding_rate_prefix_sum": 1,
        "market_index": 1,
        "settlement_price": "text"
      },
      "l1_create_market_pubdata": {
        "close_out_margin_fraction": 1,
        "default_initial_margin_fraction": 1,
        "interest_rate": 1,
        "liquidation_fee": 1,
        "maintenance_margin_fraction": 1,
        "maker_fee": 1,
        "market_index": 1,
        "min_base_amount": 1,
        "min_initial_margin_fraction": 1,
        "min_quote_amount": 1,
        "quote_multiplier": 1,
        "taker_fee": 1
      },
      "l1_create_market_pubdata_v2": {
        "close_out_margin_fraction": 1,
        "default_initial_margin_fraction": 1,
        "funding_clamp_big": 1,
        "funding_clamp_small": 1,
        "interest_rate": 1,
        "liquidation_fee": 1,
        "maintenance_margin_fraction": 1,
        "maker_fee": 1,
        "market_index": 1,
        "min_base_amount": 1,
        "min_initial_margin_fraction": 1,
        "min_quote_amount": 1,
        "open_interest_limit": 1,
        "order_quote_limit": 1,
        "quote_multiplier": 1,
        "taker_fee": 1
      },
      "l1_create_spot_market_pubdata": {
        "base_asset_id": 1,
        "maker_fee": 1,
        "market_index": 1,
        "min_base_amount": 1,
        "min_quote_amount": 1,
        "order_quote_limit": 1,
        "quote_asset_id": 1,
        "quote_extension_multiplier": 1,
        "size_extension_multiplier": 1,
        "taker_fee": 1
      },
      "l1_deposit_pubdata": {
        "account_index": "text",
        "l1_address": "text",
        "usdc_amount": "text"
      },
      "l1_deposit_pubdata_v2": {
        "accepted_amount": "text",
        "account_index": "text",
        "asset_index": "text",
        "l1_address": "text",
        "route_type": "text"
      },
      "l1_register_asset_pubdata": {
        "asset_index": 1,
        "decimals": 1,
        "extension_multiplier": 1,
        "index_price_divider": 1,
        "l1_address": "text",
        "l1_decimals": 1,
        "liquidation_factor": 1,
        "liquidation_fee": 1,
        "liquidation_threshold": 1,
        "loan_to_value": 1,
        "margin_index": 1,
        "margin_mode": 1,
        "min_transfer_amount": 1,
        "min_withdrawal_amount": 1,
        "price_decimals": 1,
        "symbol": "text",
        "tick_size": "text"
      },
      "l1_set_system_config_pubdata": {
        "liquidity_pool_cooldown_period": 1,
        "liquidity_pool_index": 1,
        "max_integrator_perps_maker_fee": 1,
        "max_integrator_perps_taker_fee": 1,
        "max_integrator_spot_maker_fee": 1,
        "max_integrator_spot_taker_fee": 1,
        "staking_pool_index": 1,
        "staking_pool_lockup_period": 1
      },
      "l1_update_asset_pubdata": {
        "asset_index": 1,
        "index_price_divider": 1,
        "liquidation_factor": 1,
        "liquidation_fee": 1,
        "liquidation_threshold": 1,
        "loan_to_value": 1,
        "margin_index": 1,
        "margin_mode": 1,
        "min_transfer_amount": 1,
        "min_withdrawal_amount": 1
      },
      "l1_update_market_pubdata": {
        "close_out_margin_fraction": 1,
        "default_initial_margin_fraction": 1,
        "interest_rate": 1,
        "liquidation_fee": 1,
        "maintenance_margin_fraction": 1,
        "maker_fee": 1,
        "market_index": 1,
        "min_base_amount": 1,
        "min_initial_margin_fraction": 1,
        "min_quote_amount": 1,
        "status": 1,
        "taker_fee": 1
      },
      "l1_update_spot_market_pubdata": {
        "maker_fee": 1,
        "market_index": 1,
        "min_base_amount": 1,
        "min_quote_amount": 1,
        "order_quote_limit": 1,
        "status": 1,
        "taker_fee": 1
      },
      "l2_create_public_pool_pubdata": {
        "account_index": 1,
        "initial_total_shares": 1,
        "min_operator_share_rate": 1,
        "operator_fee": 1,
        "public_pool_index": 1
      },
      "l2_create_staking_pool_pubdata": {
        "account_index": 1,
        "initial_total_shares": 1,
        "min_operator_share_rate": 1,
        "staking_pool_index": 1
      },
      "l2_create_sub_account_pubdata": {
        "account_index": "text",
        "subAccount_index": "text"
      },
      "l2_mint_shares_pubdata": {
        "account_index": "text",
        "public_pool_index": 1,
        "share_amount": "text",
        "usdc_amount": "text"
      },
      "l2_stake_assets_pubdata": {
        "account_index": "text",
        "lit_amount": "text",
        "share_amount": "text",
        "staking_pool_index": 1
      },
      "l2_transfer_pubdata": {
        "from_account_index": "text",
        "to_account_index": "text",
        "usdc_amount": "text"
      },
      "l2_transfer_pubdata_v2": {
        "amount": "text",
        "asset_index": "text",
        "fee_account_index": "text",
        "from_account_index": "text",
        "from_route_type": "text",
        "to_account_index": "text",
        "to_route_type": "text",
        "usdc_fee": "text"
      },
      "l2_update_account_asset_config_pubdata": {
        "account_index": "text",
        "asset_index": 1,
        "asset_margin_mode": 1
      },
      "l2_update_account_config_pubdata": {
        "account_index": 1,
        "account_trading_mode": 1,
        "asset_amounts": [
          {
            "asset_index": 1,
            "moved_asset_amount": "text"
          }
        ]
      },
      "l2_update_asset_config_pubdata": {
        "asset_index": 1,
        "global_supply_cap": "text",
        "user_supply_cap": "text"
      },
      "l2_update_leverage_pubdata": {
        "account_index": "text",
        "initial_margin_fraction": 1,
        "margin_mode": 1,
        "market_index": 1
      },
      "l2_update_margin_pubdata": {
        "account_index": "text",
        "direction": 1,
        "market_index": 1,
        "usdc_amount": "text"
      },
      "l2_update_public_pool_pubdata": {
        "min_operator_share_rate": 1,
        "operator_fee": 1,
        "public_pool_index": 1,
        "status": 1
      },
      "trade_pubdata": {
        "fee_account_index": "text",
        "integrator_maker_fee": 1,
        "integrator_maker_fee_collector_index": "text",
        "integrator_taker_fee": 1,
        "integrator_taker_fee_collector_index": "text",
        "is_taker_ask": 1,
        "maker_account_index": "text",
        "maker_fee": 1,
        "market_index": 1,
        "price": "text",
        "size": "text",
        "taker_account_index": "text",
        "taker_fee": 1,
        "trade_type": 1
      },
      "trade_pubdata_with_funding": {
        "fee_account_index": "text",
        "funding_rate_prefix_sum": 1,
        "integrator_maker_fee": 1,
        "integrator_maker_fee_collector_index": "text",
        "integrator_taker_fee": 1,
        "integrator_taker_fee_collector_index": "text",
        "is_taker_ask": 1,
        "maker_account_index": "text",
        "maker_fee": 1,
        "market_index": 1,
        "price": "text",
        "size": "text",
        "taker_account_index": "text",
        "taker_fee": 1,
        "trade_type": 1
      },
      "unstake_assets_pubdata": {
        "account_index": "text",
        "lit_amount": "text",
        "share_amount": "text",
        "staking_pool_index": 1
      },
      "withdraw_pubdata": {
        "from_account_index": "text",
        "usdc_amount": "text"
      },
      "withdraw_pubdata_v2": {
        "amount": "text",
        "asset_index": "text",
        "from_account_index": "text",
        "route_type": "text"
      }
    },
    "pubdata_type": "Empty",
    "status": "nothing_to_execute",
    "time": "text",
    "tx_type": "Empty"
  }
]

Last updated

Was this helpful?